---
cron:
  - name: 'docker-container-prune'
    hour: '4'
    minute: '0'
    job: '/usr/bin/docker container prune -f >/dev/null'
    user: 'root'
  - name: 'docker-image-prune'
    hour: '4'
    minute: '10'
    job: '/usr/bin/docker image prune -a -f >/dev/null'
    user: 'root'
  - name: 'docker-volume-prune'
    hour: '4'
    minute: '20'
    job: '/usr/bin/docker volume prune -f >/dev/null'
    user: 'root'
  - name: 'docker-network-prune'
    hour: '4'
    minute: '30'
    job: '/usr/bin/docker network prune -f >/dev/null'
    user: 'root'
  - name: 'docker-run-ansible'
    minute: '*/10'
    job: >-
      docker run
      --rm
      --name "ansible"
      --hostname "ansible"
      --privileged
      --pid=host
      -v "/var/lib/docker-bindmounts/ansible/etc/ansible:/etc/ansible:ro"
      -v "/root/.ansible/pull:/root/.ansible/pull:ro"
      "librespace/ansible:8.4.0"
      ansible-pull
      -o
      -i "/etc/ansible"
      -U "https://gitlab.com/librespacefoundation/sidloc/sidloc-gs-controller.git"
      -C "stable"
    user: 'root'
